## org.opencyc.cycagent.fipaos
Class FipaOsCommunityAdapter.Shutdown

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.opencyc.cycagent.fipaos.FipaOsCommunityAdapter.Shutdown

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  FipaOsCommunityAdapter

protected class FipaOsCommunityAdapter.Shutdown
extends java.lang.Thread

Thread which shuts down the agent nicely.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`FipaOsCommunityAdapter.Shutdown()` Constructs a new Shutdown object.

Method Summary
`void` `run()` Runs the shutdown thread.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FipaOsCommunityAdapter.Shutdown

    public FipaOsCommunityAdapter.Shutdown()

  Constructs a new Shutdown object.

Method Detail

### run

    public void run()

  Runs the shutdown thread.
  Overrides:
    `run` in class `java.lang.Thread`